Subject: Re: bug#66156: [PATCH 00/12] Introducing Smart Hurdloading

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 23 Sep 2023 15:44:41 +0200

Ludovic Courtès writes:

Hello!

Okay, after overcoming completely unreleated troubles I finally managed
to reconfigure a laptop to hurd-team to test it.  It works great!

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> Beautiful!  I'm wondering how this works wrt disk size; the default is
>> still 'guess?  In my childhurds I have
>>
>>    (hurd-vm-configuration
>>     ..
>>     (disk-size (* 16 1024 (expt 2 20))) ;16GiB
>>
>> which is pretty cheap now that we have qcow2.  I'm not sure how
>> expensive it is to set memory-size if you don't use it?
>
> I guess setting ‘disk-size’ should still work (and as you write: with
> QCOW2, it doesn’t cost much to ask for extra space, until you actually
> use it); nothing has changed here.

Yes, works beautifully.

>> I'm wondering if there is a way to/if we need a way to set the default
>> priority of the childhurd.  I'm usually offloading to another machine's
>> childhurd and will probably want to prioritize that when I'm at home.
>
> Good question.  Perhaps you could declare that other machine with a
> higher ‘speed’ value?

That also works nicely.

I found that by default, only root can offload.  Is that intentional,
how would that work?  I changed permissions on
`/etc/guix/offload/ssh/childhurd' like so

--8<---------------cut here---------------start------------->8---
$ l /etc/guix/offload/ssh
total 8
-rw-r--r-- 1 root root   93 Sep 23 14:47 childhurd.pub
-rw-r----- 1 root wheel 399 Sep 23 14:47 childhurd
--8<---------------cut here---------------end--------------->8---

to "fix" that. WDYT?

Found another two commit message nitpicks

> Subject: Re: [bug#66156] [PATCH 12/12] services: hurd-vm: Implement zero-configuration offloading.
[..]

> > This allows for zero-configuration offloading to a childhurd.
>
> * gnu/services/virtualization.scm (operating-system-with-offloading-account):
> New procedure.
> (<hurd-vm-configuration>)[offloading?]: New field.
> (hurd-vm-disk-image): Define ‘transform’ and use it.
> (hurd-vm-activation): Generate SSH key for user ‘offloading’ and add
> authorize it via /etc/childhurd/etc/ssh/authorized_keys.d.

Remove "add".

> (hurd-vm-configuration-offloading-ssh-key)
> (hurd-vm-guix-extension): New procedures.

Rather use 

(hurd-vm-configuration-offloading-ssh-key,
hurd-vm-guix-extension): New procedures.

?

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com